package net.micode.notes.tool;

import android.content.Context;
import android.preference.PreferenceManager;

import net.micode.notes.R;
import net.micode.notes.ui.NotesPreferenceActivity;

//字体颜色列举
public class FontColorParser {
    public static final int Default = 0;
    public static final int Bright_blue = 1;
    public static final int red = 2;
    public static final int green =3;
    public static final int Font_color_default = Default;

    public static class TextAppearanceResources {
        private final static int[] TEXTAPPEARANCE_RESOURCES = new int[]{
                R.style.TextColorDefault,
                R.style.TextColorBrightBlue,
                R.style.TextColorRed,
                R.style.TextColorGreen

        };
        //返回默认字体颜色id
        public static int getTexAppearanceResource(int id) {
            if (id >= TEXTAPPEARANCE_RESOURCES.length) {
                return Font_color_default;
            }
            return TEXTAPPEARANCE_RESOURCES[id];
        }
        //获取所需id
        public static int getResourceSize()
        {
            return  TEXTAPPEARANCE_RESOURCES.length;
        }
    }
    public static int getDefaultTxtId(Context context) {
        return Font_color_default;
    }
}
